Bug 687595 - Add Fontconfig support in ghostscript
Summary: Add Fontconfig support in ghostscript
Status: NOTIFIED FIXED
Alias: None
Product: Ghostscript
Classification: Unclassified
Component: Font API (show other bugs)
Version: 8.14
Hardware: All Linux
: P2 enhancement
Assignee: Ralph Giles
QA Contact: Bug traffic
URL: http://fontconfig.org
Keywords:
: 688705 (view as bug list)
Depends on:
Blocks:
 
Reported: 2004-07-28 11:22 UTC by Yanick Cyr
Modified: 2008-12-19 08:31 UTC (History)
5 users (show)

See Also:
Customer:
Word Size: ---


Attachments
This is the patch for Fontconfig support in ghostscript (19.81 KB, patch)
2004-07-28 11:24 UTC, Yanick Cyr
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Yanick Cyr 2004-07-28 11:22:26 UTC
You should add fontconfig support in ghostscript for the next release.
This way, Ghostscript will get access to all the fonts available in Linux. It
will saves the trouble to maintain two fonts list files (Fontmap for ghostscript
and fonts.conf for Fontconfig). 

The Fedora developpers have already patched ghostscript in Fedora 2 for
Fontconfig support.
Comment 1 Yanick Cyr 2004-07-28 11:24:53 UTC
Created attachment 814 [details]
This is the patch for Fontconfig support in ghostscript

This is the patch from the Fedora 2 ghostcript package
(ghostscript-7.07-25.src.rpm)
Comment 2 Russell Lang 2004-09-13 21:36:55 UTC
Another possible way to implement this would be to call
fontconfig from gp_enumerate_fonts.  There is a dummy 
implementation of gp_enuerate_fonts in gp_unix.c.
This should be split into a separate file.
An alternate implementation that uses fontconfig
can then be created in another file, and the appropriate
implementation selected at compile time.
This also keeps the fontconfig code in files that
are only used on Unix like platforms.
Comment 3 Ismail Dönmez 2006-04-27 05:54:17 UTC
Are there any progress on this?
Comment 4 Stefan Schweizer 2006-09-01 09:14:29 UTC
*** Bug 688705 has been marked as a duplicate of this bug. ***
Comment 5 Craig Ringer 2006-09-20 07:16:32 UTC
Gentoo has been using a patch based implementing the gp_enumerate_fonts stubs
for UNIX using fontconfig for a little while, and it's recently been merged into
ESP GS too. That's *not* based on the 2004 pach attached to this bug.

See:

https://bugs.gentoo.org/show_bug.cgi?id=104512
http://bugs.scribus.net/view.php?id=2075
http://www.cups.org/espgs/str.php?L1631+P0+S-2+C0+I0+E0+Q

Hopefully the ESP GS merge will be of interest given recent work undertaken to
reduce the diff between ESP gs and mainline.
Comment 6 Craig Ringer 2006-09-20 07:31:23 UTC
See additional comment on bug 688705 re origin and copyright assignment.
Comment 7 Ismail Dönmez 2007-06-14 08:58:08 UTC
Is there a reason this patch still not applied to Ghostscript SVN?
Comment 8 Timo Gurr 2007-10-23 04:57:11 UTC
Can this be considered fixed/included in the upstream 8.60 release now that the 
ghostscript-esp merger is done and doc/History8.htm mentions fontconfig stuff?

2007-06-22T15:44:43.448105Z Till Kamppeter
Added the fontconfig support from ESP Ghostscript
[src/Makefile.in src/configure.ac src/gp_unix.c]
Comment 9 Ralph Giles 2007-10-23 09:45:51 UTC
Yes, it was included as part of 8.60. Thanks for pointing out the bug was still
open.